use serde::{Deserialize, Serialize};

use loupedeck_serial::commands::VibrationPattern;

use crate::model::key_page::KeyStyle;
use crate::model::knob_page::KnobStyle;
use crate::model::position::{KeyPath, KnobPath};

#[derive(Debug, PartialEq, Clone, Serialize, Deserialize)]
pub enum IoWorkerCommand {
    Vibrate { pattern: VibrationPattern },
    SetActivePages { key_page_id: String, knob_page_id: String },
    SetKeyStyle { path: KeyPath, value: Option<KeyStyle> },
    SetKnobStyle { path: KnobPath, value: Option<KnobStyle> },
}
